import { h } from 'preact';
import type { JSX } from 'preact';
export interface ToastProps extends JSX.HTMLAttributes<HTMLDivElement> {
    variant?: 'default' | 'destructive';
    onClose?: () => void;
}
declare const Toast: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<ToastProps> & {
    ref?: import("preact").Ref<HTMLDivElement> | undefined;
}>;
declare const ToastAction: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<h.JSX.HTMLAttributes<HTMLButtonElement>> & {
    ref?: import("preact").Ref<HTMLButtonElement> | undefined;
}>;
declare const ToastClose: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<h.JSX.HTMLAttributes<HTMLButtonElement>> & {
    ref?: import("preact").Ref<HTMLButtonElement> | undefined;
}>;
declare const ToastTitle: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<h.JSX.HTMLAttributes<HTMLDivElement>> & {
    ref?: import("preact").Ref<HTMLDivElement> | undefined;
}>;
declare const ToastDescription: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<h.JSX.HTMLAttributes<HTMLDivElement>> & {
    ref?: import("preact").Ref<HTMLDivElement> | undefined;
}>;
type ToastActionElement = JSX.Element<typeof ToastAction>;
export { Toast, ToastAction, ToastClose, ToastTitle, ToastDescription, type ToastActionElement, };
